%define name	gpodder
%define version	2.20.1
%define release %mkrel 1

Name: 	 	%{name}
Summary: 	A graphical podcast catcher
Version: 	%{version}
Release: 	%{release}
Source:		http://download.berlios.de/gpodder/%{name}-%{version}.tar.gz
URL:		http://www.perli.net/projekte/gpodder/
#gw SimpleGladeApp is LGPL
License:	GPLv3+ and LGPLv2+
Group:		Networking/News
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:  python-devel
BuildRequires:  python-feedparser
BuildRequires:	python-mygpoclient
BuildRequires:  imagemagick
BuildRequires:  desktop-file-utils
BuildRequires:  help2man
BuildRequires:  intltool
BuildRequires:	python-mygpoclient
Requires:	pygtk2.0 >= 2.6
Requires:       pygtk2.0-libglade
Requires:       python-feedparser
%if %mdkversion <= 200700
Requires:       python-sqlite2
%endif
# gw for iPod support:
Requires:	python-gpod
#gw MTP player support:
Requires:	python-pymtp
Requires:	python-mygpoclient >= 1.4
Requires:	pymad
Requires:	python-eyed3
# gw required for content length detection
Requires:	mplayer
# gw required for HTML show notes
Requires: python-webkitgtk
# gw for transcoding and tagging Ogg Vorbis
Suggests:	vorbis-tools
Suggests:	lame
# gw for Bluetooth support
Suggests: bluez-utils bluez-gnome
#gw for rockbox cover support
Suggests: python-imaging
BuildArch:	noarch

%description
gPodder is a Podcast reciever/catcher written in Python, using GTK. It manages
podcast feeds for you and automatically downloads all podcasts from as many
feeds as you like.

%prep
%setup -q
%apply_patches

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%find_lang %name
desktop-file-install --vendor="" \
  --add-category="GTK;Network;News" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdvver < 200900
%post
%update_icon_cache hicolor
%postun
%clean_icon_cache hicolor
%endif

%files -f %name.lang
%defattr(-,root,root)
%doc README 
%{_bindir}/gpo
%{_bindir}/gpodder-backup
%{_bindir}/%name
%_datadir/dbus-1/services/org.gpodder.service
%{_datadir}/%name
%{py_puresitedir}/%name
%{py_puresitedir}/*.egg-info
%{_mandir}/man1/*
%{_datadir}/applications/*
%_datadir/icons/hicolor/*/apps/gpodder.*
%{_datadir}/pixmaps/gpodd*.png




%changelog
* Mon Aug 27 2012 Götz Waschk <waschk@mandriva.org> 2.20.1-1mdv2011.0
+ Revision: 815845
- new version
- update to new version 2.20
- update to new version 2.19
- new version
- update to new version 2.17
- update to new version 2.16
- update to new version 2.15
- update to new version 2.14
- update to new version 2.13
- update to new version 2.12
- update to new version 2.10
- update to new version 2.9
- update to new version 2.8
- new version
- bump mygpoclient dep
- depend on python binding for webkit instead of gtkhtml
- update to new version 2.5
- new version
- drop patch
- suggest PIL for rockbox cover support
- remove old dep on pybluez
- update to new version 2.3
- update build deps
- new version
- drop patch
- add dbus service to the file list
- add dep on mygpoclient
- patch for new gtk
- update to new version 2.1
- new version
- drop patch
- fix encoding of German translation
- update to new version 0.17.0
- update to new version 0.16.1
- fix build deps
- new version
- update file list
- new version
- new version
- drop patch
- fix it for python 2.6
- new version
- update file list
- new version
- rebuild for new python
- new version
- update deps
- new version
- fix source URL
- new version
- update deps
- new version
- new version
- update file list
- update license
- update postinstall scripts
- new version
- drop patch
- fix syncing to ipod
- new version
- update deps
- new version
- new version
- update file list
- new version
- drop patch
- use bluez-gnome instead of gnome-bluetooth
- new version
- update deps
- new version
- fix desktop entry
- new version
- update file list
- new version
- remove dep on python-id3
- new version
- new version
- update deps
- new version
- drop patches
- fix sync with more than one new episode in a feed
- drop patch 1 again
- patch to improve mp3 length detection
- patch to use the right python-id3
- fix deps
- new version
- drop patch
- fix buildrequires
- svn snapshot with support for libgpod 0.5.x
- new version
- drop patch
- fix download on startup
- new version

  + mandrake <mandrake@mandriva.com>
    - %repsys markrelease
      version: 2.20
      release: 1
      revision: 705439
      Copying 2.20-1 to releases/ directory.

  + Funda Wang <fwang@mandriva.org>
    - rebuild to obsolete old packages
    - new version 2.11
    - BR python-mygpoclient
    - rebuild fore new lzma

  + Michael Scherer <misc@mandriva.org>
    - rebuild for python 2.7

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

